Modify

Ticket #338 (closed defect: wontfix)

Opened 4 years ago

Last modified 4 years ago

Can't Publish a Callout

Reported by: anna Owned by:
Priority: major Milestone: 3.0-beta2
Component: plone3 Severity:
Keywords: Cc:
Who will test this:

Description

Encountered error while adding a Callout on:  http://latest-v.plumi.org

 http://latest-v.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.4942798148/atct_edit

We’re sorry, but there seems to be an error…

The error has been logged as entry number 1266378588.520.749176533996.

If you need to report this to the Site Administration, please include this entry number in your message.

Attachments

Change History

comment:1 Changed 4 years ago by anna

It seems that Alo managed to add one fine, as an ordinary Member user... not sure what the issue is here..

comment:2 Changed 4 years ago by anna

Ok, so it was to do with the sort of PNG file I uploaded to the callout apparently (one I generated using Preview on my Mac OS 10.6)

Time 2010/02/17 14:47:39.305 US/Eastern User Name (User Id) anna (anna) Request URL  http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548/atct_edit Exception Type IOError Exception Value cannot read interlaced PNG files

Traceback (innermost last):

  • Module ZPublisher.Publish, line 119, in publish
  • Module ZPublisher.mapply, line 88, in mapply
  • Module ZPublisher.Publish, line 42, in call_object
  • Module Products.CMFPlone.FactoryTool?, line 379, in call
  • Module ZPublisher.mapply, line 88, in mapply
  • Module ZPublisher.Publish, line 42, in call_object
  • Module Products.CMFFormController.FSControllerPageTemplate, line 90, in call
  • Module Products.CMFFormController.BaseControllerPageTemplate?, line 28, in _call
  • Module Products.CMFFormController.ControllerBase?, line 231, in getNext
  • Module Products.CMFFormController.Actions.TraverseTo?, line 38, in call
  • Module ZPublisher.mapply, line 88, in mapply
  • Module ZPublisher.Publish, line 42, in call_object
  • Module Products.CMFFormController.FSControllerPythonScript, line 106, in call
  • Module Products.CMFFormController.ControllerBase?, line 231, in getNext
  • Module Products.CMFFormController.Actions.TraverseTo?, line 38, in call
  • Module ZPublisher.mapply, line 88, in mapply
  • Module ZPublisher.Publish, line 42, in call_object
  • Module Products.CMFFormController.FSControllerPythonScript, line 104, in call
  • Module Products.CMFFormController.Script, line 145, in call
  • Module Products.CMFCore.FSPythonScript, line 140, in call
  • Module Shared.DC.Scripts.Bindings, line 313, in call
  • Module Shared.DC.Scripts.Bindings, line 350, in _bindAndExec
  • Module Products.CMFCore.FSPythonScript, line 196, in _exec
  • Module None, line 1, in content_edit <FSControllerPythonScript at /testplone/content_edit used for /testplone/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548> Line 1
  • Module Products.CMFCore.FSPythonScript, line 140, in call
  • Module Shared.DC.Scripts.Bindings, line 313, in call
  • Module Shared.DC.Scripts.Bindings, line 350, in _bindAndExec
  • Module Products.CMFCore.FSPythonScript, line 196, in _exec
  • Module None, line 13, in content_edit_impl <FSPythonScript at /testplone/content_edit_impl used for /testplone/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548> Line 13
  • Module Products.LinguaPlone?.I18NBaseObject, line 415, in processForm
  • Module Products.Archetypes.BaseObject?, line 663, in processForm
  • Module Products.LinguaPlone?.I18NBaseObject, line 407, in _processForm traceback_info: (<PlumiCallOut? at /testplone/Members/anna/callouts/plumicallout.2010-02-16.1701446548>, <Field calloutImage(image:rw)>, <bound method PlumiCallOut?.setCalloutImage of <PlumiCallOut? at /testplone/Members/anna/callouts/plumicallout.2010-02-16.1701446548>>)
  • Module Products.Archetypes.utils, line 160, in mapply
  • Module Products.Archetypes.ClassGen?, line 76, in generatedMutator
  • Module Products.Archetypes.Field, line 2282, in set
  • Module Products.Archetypes.Field, line 2404, in createScales traceback_info: (<Field calloutImage(image:rw)>, <PlumiCallOut? at /testplone/Members/anna/callouts/plumicallout.2010-02-16.1701446548>, 'calloutImage_mini', 200, 200)
  • Module Products.Archetypes.Field, line 2453, in scale
  • Module PIL.Image, line 1522, in thumbnail
  • Module PIL.ImageFile?, line 155, in load
  • Module PIL.PngImagePlugin?, line 337, in load_prepare

IOError: cannot read interlaced PNG files

Display traceback as text

REQUEST form description_text_format 'text/plain' expirationDate_ampm 'AM' license_cc_name 'Attribution-Noncommercial-Share Alike 3.0' calloutImage_file <ZPublisher.HTTPRequest.FileUpload? instance at 0x7f4a68743368> contributors [] bodyText '\r\n<p>Bangalore has hosted film festivals on themes related to lesbian, gay,\r\nbisexual and transgender (LGBT or Queer) communities since 2003.\r\nAlthough they were small events, since their transformation into The\r\nBangalore Queer Film Festival (BQFF) in April 2009, held at the\r\nAlliance Francaise, the festivals have made Bangalore a destination for\r\ninternational Queer films.</p>\r\n<p>&nbsp;</p>\r\n<p>The 1st edition of the Bangalore Queer Film Festival was held in\r\nBangalore on 10 and 11 April, 2009. The event had a tightly packed\r\nschedule screening more than 20 feature, short and documentary films\r\nalongside panel discussions on being out at the workplace and short\r\nperformance pieces using drama, dance, Sufi music and poetry.</p>\r\n<p>The 2nd edition of the Bangalore Queer Film Festival will be held in\r\nBangalore in February 2010. Screening feature, documentary and\r\nexperimental films, BQFF 2010 caters to a large Bangalore public\r\ninterested in international films. Panel discussions on key issues\r\nconcerning the LGBT community in Bangalore/India? will also be organised\r\nas part of the schedule.</p>\r\n<p>All the film events hosted in Bangalore have had a steady walk-in\r\ncrowd at consistent numbers. Both the previous film festivals hosted at\r\nthe Alliance Francaise by the same organisers had a minimum of 100\r\naudience members and maximum of full capacity in the auditorium. The\r\nAlliance Francaise auditorium seats approximately 250-300 (including\r\ncasual seating).</p>\r\n<p>All film festival events have had extensive publicity as both print\r\nand electronic media covered the events objectively without too much\r\nsensationalism. In the BQFF 2009 edition, Tehelka, Time Out, India\r\nToday, Times of India, DNA, Deccan Herald, Mid-day, The Hindu, The New\r\nIndian Express and <a title="Press Coverage" href=" http://www.goodasyou.in/?p=158">a host of others covered the print media</a>. NDTV led the electronic media coverage with an exclusive on the first day of the event.</p>\r\n<h3 class="sIFR-replaced"><br /></h3>\r\n' license_other_name effectiveDate_ampm 'AM' copyright_holder '(site default)' expirationDate effectiveDate_month '00' rights_text_format 'text/html' id 'plumicallout.2010-02-16.1701446548' license_other_url closingDate_hour '05' last_referer ' http://anna.plumi.org/Members/anna/videos/publish' effectiveDate title 'Submissions Open for Bangalore Queer Film Festival' license_cc_button ' http://i.creativecommons.org/l/by-nc-sa/3.0/88x31.png' effectiveDate_minute '00' effectiveDate_year '0000' relatedItems [] location effectiveDate_day '00' closingDate '2010-02-01 05:00 PM' excludeFromNav False expirationDate_year '0000' bodyText_text_format 'text/html' fieldset 'default' description 'Submissions are open for queer short films for the annual queer film festival in Bangalore, India.' closingDate_year '2010' calloutImageCaption 'BQFF Logo' expirationDate_day '00' expirationDate_hour '12' license_cc_url ' http://creativecommons.org/licenses/by-nc-sa/3.0/' form_submit 'Save' bodyText_file <ZPublisher.HTTPRequest.FileUpload? instance at 0xf5b6200> closingDate_day '01' submissionCategories festival? closingDate_minute '00' closingDate_month '02' expirationDate_month '00' creators anna? add_reference {'destination': , 'field': , 'type': } license 'Site Default' language rights subject_existing_keywords [] websiteURL ' http://blrqueerfilmfest.com/' license_other_button 'default_other.gif' allowDiscussion True effectiveDate_hour '12' expirationDate_minute '00' closingDate_ampm 'PM' cookies I18N_LANGUAGE 'en' ac '5Obd8OKbgMfaz72K1Dt65cjeNNQgYW5uYQ==' tree-s 'eJzTyCkw5NLIKTDiClZ3hANXW3WuAmOuRKCECUjWFEXWFyRrBpY1B8laoMgGgmQtuRKBAChnaIAk6VkJNtjQECyrBwB80x8T' _ZopeId '07482385A4P7YfdRm0Q' lazy items SESSION <bound method SessionDataManager?.getSessionData of <SessionDataManager? at /session_data_manager>> other form_submit 'Save' calloutImage_file <ZPublisher.HTTPRequest.FileUpload? instance at 0x7f4a68743368> license_other_name ac '5Obd8OKbgMfaz72K1Dt65cjeNNQgYW5uYQ==' effectiveDate_ampm 'AM' copyright_holder '(site default)' license_other_url title 'Submissions Open for Bangalore Queer Film Festival' submissionCategories festival? SERVER_URL ' http://anna.plumi.org' location _ZopeId '07482385A4P7YfdRm0Q' fieldset 'default' URL ' http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548/atct_edit' expirationDate_day '00' license_cc_button ' http://i.creativecommons.org/l/by-nc-sa/3.0/88x31.png' closingDate_minute '00' TraversalRequestNameStack? [] allowDiscussion True closingDate_ampm 'PM' VIRTUAL_URL_PARTS (' http://anna.plumi.org', 'Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548/atct_edit') LANGUAGE 'en' relatedItems [] effectiveDate_day '00' closingDate '2010-02-01 05:00 PM' excludeFromNav False bodyText_text_format 'text/html' license_cc_url ' http://creativecommons.org/licenses/by-nc-sa/3.0/' PUBLISHED <FactoryTool? at /testplone/portal_factory used for /testplone/Members/anna/callouts> closingDate_month '02' expirationDate_month '00' language _pts_is_rtl False BASE0 ' http://anna.plumi.org' BASE1 ' http://anna.plumi.org/Members' BASE2 ' http://anna.plumi.org/Members/anna' BASE3 ' http://anna.plumi.org/Members/anna/callouts' BASE4 ' http://anna.plumi.org/Members/anna/callouts/portal_factory' BASE5 ' http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut' BASE6 ' http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548' BASE7 ' http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548/atct_edit' expirationDate_ampm 'AM' license_cc_name 'Attribution-Noncommercial-Share Alike 3.0' last_referer ' http://anna.plumi.org/Members/anna/videos/publish' description_text_format 'text/plain' tree-s 'eJzTyCkw5NLIKTDiClZ3hANXW3WuAmOuRKCECUjWFEXWFyRrBpY1B8laoMgGgmQtuRKBAChnaIAk6VkJNtjQECyrBwB80x8T' factoryinfo {'PlumiCallOut?': <TempFolder? at /testplone/Members/anna/callouts/portal_factory/PlumiCallOut>, 'stack': ['PlumiCallOut?', 'plumicallout.2010-02-16.1701446548', 'atct_edit']} expirationDate AUTHENTICATION_PATH 'testplone/vhm' rights_text_format 'text/html' expirationDate_year '0000' closingDate_year '2010' calloutImageCaption 'BQFF Logo' expirationDate_hour '12' add_reference {'destination': , 'field': , 'type': } I18N_LANGUAGE 'en' bodyText_file <ZPublisher.HTTPRequest.FileUpload? instance at 0xf5b6200> closingDate_day '01' closingDate_hour '05' controller_state <Products.CMFFormController.ControllerState?.ControllerState? object at 0xe1c6ad0> license 'Site Default' rights subject_existing_keywords [] LANGUAGE_TOOL <Products.PloneLanguageTool?.LanguageTool?.LanguageBinding? instance at 0xeeb1248> effectiveDate_hour '12' bodyText '\r\n<p>Bangalore has hosted film festivals on themes related to lesbian, gay,\r\nbisexual and transgender (LGBT or Queer) communities since 2003.\r\nAlthough they were small events, since their transformation into The\r\nBangalore Queer Film Festival (BQFF) in April 2009, held at the\r\nAlliance Francaise, the festivals have made Bangalore a destination for\r\ninternational Queer films.</p>\r\n<p>&nbsp;</p>\r\n<p>The 1st edition of the Bangalore Queer Film Festival was held in\r\nBangalore on 10 and 11 April, 2009. The event had a tightly packed\r\nschedule screening more than 20 feature, short and documentary films\r\nalongside panel discussions on being out at the workplace and short\r\nperformance pieces using drama, dance, Sufi music and poetry.</p>\r\n<p>The 2nd edition of the Bangalore Queer Film Festival will be held in\r\nBangalore in February 2010. Screening feature, documentary and\r\nexperimental films, BQFF 2010 caters to a large Bangalore public\r\ninterested in international films. Panel discussions on key issues\r\nconcerning the LGBT community in Bangalore/India? will also be organised\r\nas part of the schedule.</p>\r\n<p>All the film events hosted in Bangalore have had a steady walk-in\r\ncrowd at consistent numbers. Both the previous film festivals hosted at\r\nthe Alliance Francaise by the same organisers had a minimum of 100\r\naudience members and maximum of full capacity in the auditorium. The\r\nAlliance Francaise auditorium seats approximately 250-300 (including\r\ncasual seating).</p>\r\n<p>All film festival events have had extensive publicity as both print\r\nand electronic media covered the events objectively without too much\r\nsensationalism. In the BQFF 2009 edition, Tehelka, Time Out, India\r\nToday, Times of India, DNA, Deccan Herald, Mid-day, The Hindu, The New\r\nIndian Express and <a title="Press Coverage" href=" http://www.goodasyou.in/?p=158">a host of others covered the print media</a>. NDTV led the electronic media coverage with an exclusive on the first day of the event.</p>\r\n<h3 class="sIFR-replaced"><br /></h3>\r\n' contributors [] URL2 ' http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut' VIRTUAL_URL ' http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548/atct_edit' URL5 ' http://anna.plumi.org/Members/anna' URL4 ' http://anna.plumi.org/Members/anna/callouts' URL7 ' http://anna.plumi.org' URL6 ' http://anna.plumi.org/Members' URL1 ' http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548' URL0 ' http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548/atct_edit' URL3 ' http://anna.plumi.org/Members/anna/callouts/portal_factory' effectiveDate_month '00' id 'plumicallout.2010-02-16.1701446548' AUTHENTICATED_USER <PloneUser? 'anna'> effectiveDate_minute '00' effectiveDate_year '0000' ACTUAL_URL ' http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548/atct_edit' description 'Submissions are open for queer short films for the annual queer film festival in Bangalore, India.' effectiveDate VirtualRootPhysicalPath? (, 'testplone') websiteURL ' http://blrqueerfilmfest.com/' license_other_button 'default_other.gif' creators anna? expirationDate_minute '00' URL0  http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548/atct_edit URL1  http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548 URL2  http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut URL3  http://anna.plumi.org/Members/anna/callouts/portal_factory URL4  http://anna.plumi.org/Members/anna/callouts URL5  http://anna.plumi.org/Members/anna URL6  http://anna.plumi.org/Members URL7  http://anna.plumi.org BASE0  http://anna.plumi.org BASE1  http://anna.plumi.org/Members BASE2  http://anna.plumi.org/Members/anna BASE3  http://anna.plumi.org/Members/anna/callouts BASE4  http://anna.plumi.org/Members/anna/callouts/portal_factory BASE5  http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut BASE6  http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548 BASE7  http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548/atct_edit environ HTTP_X_FORWARDED_SERVER 'anna.plumi.org' HTTP_REFERER ' http://anna.plumi.org/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548/edit' HTTP_ACCEPT_LANGUAGE 'en-us,en;q=0.5' SERVER_SOFTWARE 'Zope/(unreleased version, python 2.4.6, linux2) ZServer/1.1 Plone/3.3.4' SCRIPT_NAME REQUEST_METHOD 'POST' PATH_INFO '/VirtualHostBase/http/anna.plumi.org:80/testplone/VirtualHostRoot/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548/atct_edit' SERVER_PROTOCOL 'HTTP/1.1' channel.creation_time 1266378448 CONNECTION_TYPE 'Keep-Alive' HTTP_ACCEPT_CHARSET 'ISO-8859-1,utf-8;q=0.7,*;q=0.7' HTTP_USER_AGENT 'Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.1.7) Gecko/20091221 Firefox/3.5.7' HTTP_COOKIE 'ac="5Obd8OKbgMfaz72K1Dt65cjeNNQgYW5uYQ=="; I18N_LANGUAGE="en"; _ZopeId="07482385A4P7YfdRm0Q"; tree-s="eJzTyCkw5NLIKTDiClZ3hANXW3WuAmOuRKCECUjWFEXWFyRrBpY1B8laoMgGgmQtuRKBAChnaIAk6VkJNtjQECyrBwB80x8T"' SERVER_NAME '0.0.0.0' REMOTE_ADDR '127.0.0.1' HTTP_VIA '1.1 anna.plumi.org' PATH_TRANSLATED '/VirtualHostBase/http/anna.plumi.org:80/testplone/VirtualHostRoot/Members/anna/callouts/portal_factory/PlumiCallOut/plumicallout.2010-02-16.1701446548/atct_edit' SERVER_PORT '8080' CONTENT_LENGTH '370723' HTTP_HOST '127.0.0.1:8080' HTTP_ACCEPT 'text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8' GATEWAY_INTERFACE 'CGI/1.1' HTTP_X_FORWARDED_FOR '203.217.76.2' HTTP_X_FORWARDED_HOST 'anna.plumi.org' CONTENT_TYPE 'multipart/form-data; boundary=---------------------------2901451591681808623977764947' HTTP_ACCEPT_ENCODING 'gzip,deflate'

comment:3 Changed 4 years ago by dimo

  • Status changed from new to closed
  • Resolution set to wontfix

It's up to PIL to add support for interlaced PNG images and up to Plone/Archetypes? to add a more user friendly error message when content creation fails because of PIL.

Nothing to see here, move along :)

View

Add a comment

Modify Ticket

Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.